#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - at installation
#
# Creation   :  2013-03-16 holbru
# Last update:  $Id: postinstall-at.sh 53275 2018-03-31 12:17:06Z hbfl $
#
# Copyright (c) 2013-2018 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=at

# ---------------------------------------------------------------------------
# generate symlinks
# ---------------------------------------------------------------------------

chown root:daemon /usr/bin/at
chmod 4555 /usr/bin/at

# ---------------------------------------------------------------------------
# update-2.3.6
# ---------------------------------------------------------------------------
update_2_3_6()
{
cd  /etc/rc2.d

rm -f K??atd
rm -f S??atd

ln -sf ../init.d/atd K48atd

. /etc/config.d/base

if [ "${START_ATD}" = "yes" ]
then
    ln -sf ../init.d/atd S52atd

    /etc/init.d/atd restart
fi
}

# ---------------------------------------------------------------------------
# update-2.7.1
# ---------------------------------------------------------------------------
update_2_7_1()
{
    . /etc/config.d/base

    if [ "${START_ATD}" = "yes" ]
    then
        cd /etc/rc2.d
        ln -sf ../init.d/atd S52atd

        /etc/init.d/atd restart
    fi
}

# ---------------------------------------------------------------------------
# update-2.8.4
# ---------------------------------------------------------------------------
update_2_8_4()
{
    return
}

# ---------------------------------------------------------------------------
# update-2.8.5
# ---------------------------------------------------------------------------
update_2_8_5()
{
    return
}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}


# do that only if START = yes
. /etc/config.d/base

if [ "${START_ATD}" = "yes" ]
then
    /etc/init.d/atd start
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
